---
lang: en
title: 'API docs: testlab.testsandbox.writetextfile'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/testlab
permalink: /doc/en/lb4/apidocs.testlab.testsandbox.writetextfile.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/testlab](./testlab.md) &gt; [TestSandbox](./testlab.testsandbox.md) &gt; [writeTextFile](./testlab.testsandbox.writetextfile.md)

## TestSandbox.writeTextFile() method

Creates a new file and writes the given data as a UTF-8-encoded text.

<b>Signature:</b>

```typescript
writeTextFile(dest: string, data: string): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  dest | string | Destination filename, optionally including a relative path. |
|  data | string | The text to write. |

<b>Returns:</b>

Promise&lt;void&gt;


